OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
FilterMesh.cpp File Reference
`#include "FilterMesh.h"`
`#include <OMToolkit\IO\OMIO.h>`
`#include <OpenMesh\Core\IO\exporter\ExporterT.hh>`
`#include <OMToolkit\OMTypes.h>`
`#include <Eigen\Geometry>`
`#include <Eigen\LU>`
`#include <Eigen\Array>`
`#include <OMToolkit\OMProjector.h>`
`#include <OpenMesh\Tools\Utils\Timer.hh>`
`#include <OMToolkit\OMTriIterator.h>`
`#include <OMToolkit\OMFilter.h>`

## Typedefs
typedef OMToolkit::Types::ModuleMeshd | MeshT

## Functions
int | main (int argc, char *argv[])

## Variables
const std::string | MODULE_DESCRIPTION = "Module that rasterizes vertex neighbourhood on a tangent raster"
const std::string | MODULE_ARGUMENTS = "filter:weight:min:max:mean:median:inputF:inputW:distance:variance"
const std::string | MODULE_ARG_FILEF = "inputF"
const std::string | MODULE_ARG_FILEW = "inputW"
const std::string | MODULE_ARG_FILTER = "filter"
const std::string | MODULE_ARG_WEIGHT = "weight"
const std::string | MODULE_ARG_MIN = "min"
const std::string | MODULE_ARG_MAX = "max"
const std::string | MODULE_ARG_MEAN = "mean"
const std::string | MODULE_ARG_MEDIAN = "median"
const std::string | MODULE_ARG_DIST = "distance"
const std::string | MODULE_ARG_VARIANCE = "variance"
const int | FLAG_FILTER = 2
const int | FLAG_MIN = 4
const int | FLAG_MAX = 8
const int | FLAG_MEAN = 16
const int | FLAG_MEDIAN = 32
const int | FLAG_DIST = 64
const int | FLAG_VARIANCE = 128
const int | FLAG_WEIGHT = 256
const std::string | MODULE_FILE_DEFAULT = ""

## Detailed Description

OpenMesh Toolkit for mesh analysis
Copyright (c) 2010 by Rostislav Hulik

Author: Rostislav Hulik, ihuli.nosp@m.k@fi.nosp@m.t.vut.nosp@m.br.c.nosp@m.z
Date: 2010/11/21

Module description:

- Module rasterizes vertex neighbourhood on a tangent raster
- Result is sent to connected MDSTk channel

## Typedef Documentation

typedef OMToolkit::Types::ModuleMeshd MeshT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

const int FLAG_DIST = 64

const int FLAG_FILTER = 2

const int FLAG_MAX = 8

const int FLAG_MEAN = 16

const int FLAG_MEDIAN = 32

const int FLAG_MIN = 4

const int FLAG_VARIANCE = 128

const int FLAG_WEIGHT = 256

const std::string MODULE_ARG_DIST = "distance"

const std::string MODULE_ARG_FILEF = "inputF"

const std::string MODULE_ARG_FILEW = "inputW"

const std::string MODULE_ARG_FILTER = "filter"

const std::string MODULE_ARG_MAX = "max"

const std::string MODULE_ARG_MEAN = "mean"

const std::string MODULE_ARG_MEDIAN = "median"

const std::string MODULE_ARG_MIN = "min"

const std::string MODULE_ARG_VARIANCE = "variance"

const std::string MODULE_ARG_WEIGHT = "weight"

const std::string MODULE_ARGUMENTS = "filter:weight:min:max:mean:median:inputF:inputW:distance:variance"

const std::string MODULE_DESCRIPTION = "Module that rasterizes vertex neighbourhood on a tangent raster"

const std::string MODULE_FILE_DEFAULT = ""